DeluxHostAPI Reference
Storage files

Cancel a file upload

POST
/v1/services/{orderId}/storage/files/upload-cancel

Authorization

apiToken storage:files:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:files:write

Path Parameters

orderId*number

Request Body

application/json
  1. body
uploadId*string

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
cancelled*boolean
curl -X POST 'https://api.deluxhost.net/v1/services/0/storage/files/upload-cancel' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "uploadId": "string"}'
Example Response
{  "cancelled": true}